QuickFIX: FIX::UtcTimeOnly Class Reference

Index Source Files Annotated Class List Alphabetical Class List Class Hierarchy Graphical Class Hierarchy

# FIX::UtcTimeOnly Class Reference
[User]

Time only represented in UTC. More...

`#include <FieldTypes.h>`

Inheritance diagram for FIX::UtcTimeOnly:
[legend]
Collaboration diagram for FIX::UtcTimeOnly:
[legend]

List of all members.

## Public Member Functions
| UtcTimeOnly ()
| Defaults to the current time.
| UtcTimeOnly (const DateTime &val)
| UtcTimeOnly (int hour, int minute, int second, int millisecond=0)
| UtcTimeOnly (time_t time, int millisecond=0)
| UtcTimeOnly (const tm *time, int millisecond=0)
void | setCurrent ()
| Set to the current time.

## Detailed Description

Time only represented in UTC.

Definition at line 469 of file FieldTypes.h.

## Constructor & Destructor Documentation

FIX::UtcTimeOnly::UtcTimeOnly | ( |  | ) | `[inline]`

Defaults to the current time.

Definition at line 473 of file FieldTypes.h.

References setCurrent().

    00474   {
    00475     setCurrent();
    00476   }

FIX::UtcTimeOnly::UtcTimeOnly | ( | const DateTime & | val | ) | `[inline]`

Definition at line 478 of file FieldTypes.h.

References FIX::DateTime::clearDate().

    00479   : DateTime(val)
    00480   {
    00481     clearDate();
    00482   }

FIX::UtcTimeOnly::UtcTimeOnly | ( | int | hour,
|  | int | minute,
|  | int | second,
|  | int | millisecond = `0` |
| ) |  |  | `[inline]`

Definition at line 484 of file FieldTypes.h.

References FIX::DateTime::setHMS().

    00485   {
    00486     setHMS( hour, minute, second, millisecond );
    00487   }

FIX::UtcTimeOnly::UtcTimeOnly | ( | time_t | time,
|  | int | millisecond = `0` |
| ) |  |  | `[inline, explicit]`

Definition at line 489 of file FieldTypes.h.

References FIX::DateTime::clearDate().

    00490   : DateTime( fromUtcTimeT (time, millisecond) )
    00491   {
    00492     clearDate();
    00493   }

FIX::UtcTimeOnly::UtcTimeOnly | ( | const tm * | time,
|  | int | millisecond = `0` |
| ) |  |  | `[inline]`

Definition at line 495 of file FieldTypes.h.

References FIX::DateTime::clearDate().

    00496   : DateTime( fromTm (*time, millisecond) )
    00497   {
    00498     clearDate();
    00499   }

## Member Function Documentation

void FIX::UtcTimeOnly::setCurrent | ( |  | ) | `[inline]`

Set to the current time.

Definition at line 502 of file FieldTypes.h.

References FIX::DateTime::m_time, and FIX::DateTime::nowUtc().

Referenced by UtcTimeOnly().

    00503   {
    00504     DateTime d = nowUtc();
    00505     m_time = d.m_time;
    00506   }

The documentation for this class was generated from the following file:

- /home/omiller/Development/autobuild/quickfix/src/C++/FieldTypes.h